{% extends "index.html" %}


 {% block style_sheets %}
        <link type="text/css" rel="stylesheet" href="/static/css/client/gallery.css?v=12113">

    {% endblock %}


{% block logged_out %}


<div id="about" class="container">
    <div class="row">
       <div class="gallery">
            {% for image in gallery %}
                  <figure>
                    <img src="https://storage.googleapis.com{{image.url}}" alt="{{image.tags}}" />
                    <figcaption>{{image.description}}</figcaption>
                  </figure>
            {% endfor %}
        </div>
    </div>
</div>


{% endblock %}


{% block scripts %}

<script>

    $( document ).ready(function() {
        $("#main_buttons").hide();
        $("#podit_video").hide();

    });



    popup = {
  init: function(){
    $('figure').click(function(){
      popup.open($(this));
    });
    
    $(document).on('click', '.popup img', function(){
      return false;
    }).on('click', '.popup', function(){
      popup.close();
    })
  },
  open: function($figure) {
    $('.gallery').addClass('pop');
    $popup = $('<div class="popup" />').appendTo($('body'));
    $fig = $figure.clone().appendTo($('.popup'));
    $bg = $('<div class="bg" />').appendTo($('.popup'));
    $close = $('<div class="close"><svg><use xlink:href="#close"></use></svg></div>').appendTo($fig);
    $shadow = $('<div class="shadow" />').appendTo($fig);
    src = $('img', $fig).attr('src');
    $shadow.css({backgroundImage: 'url(' + src + ')'});
    $bg.css({backgroundImage: 'url(' + src + ')'});
    setTimeout(function(){
      $('.popup').addClass('pop');
    }, 10);
  },
  close: function(){
    $('.gallery, .popup').removeClass('pop');
    setTimeout(function(){
      $('.popup').remove()
    }, 100);
  }
}

popup.init()

</script>


{% endblock %}